%define modname eaccelerator
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 99_%{modname}.ini

Summary:	PHP accelerator optimizer
Name:		php-eaccelerator
Version:	0.9.5
Release:	%mkrel 6
Group:		Development/PHP
License:	GPL
URL:		http://eaccelerator.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/eaccelerator/eaccelerator-%{version}.tar.bz2
Source1:	eaccelerator.ini
Source2:	eaccelerator_index.html
Patch0:		eaccelerator-cache_file_location.diff
Patch1:		eaccelerator-0.9.5-php52fix.diff
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	apache-devel >= 2.0.54
BuildRequires:	dos2unix
Conflicts:	php-afterburner php-apc %{name}-eloader
Provides:	php5-eaccelerator
Obsoletes:	php5-eaccelerator
Epoch:		2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
eAccelerator is a further development of the mmcache PHP accelerator and
encoder. It increases the performance of PHP scripts by caching them in a
compiled state, so that the overhead of compiling is almost completely
eliminated. 

%package	admin
Summary:	Web interface for controlling eaccelerator and encode php files
Group:		System/Servers
Requires:	%{name} >= %{epoch}:%{version}
Conflicts:	%{name}-eloader
Epoch:		%{epoch}

%description	admin
This packages install the eAccelerator admin webinterface and a
script for encoding php files.

%prep

%setup -q -n eaccelerator-%{version}
%patch0 -p1 -b .cache_file_location
%patch1 -p1 -b .php52fix

cp %{SOURCE1} eaccelerator.ini
cp %{SOURCE2} eaccelerator_index.html

# lib64 fixes
perl -pi -e "s|/usr/lib|%{_libdir}|g" eaccelerator.ini

# fixi strange attribs
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;

# strip away annoying ^M
find -type f -exec dos2unix -U {} \;

%build

phpize
%configure2_5x --with-libdir=%{_lib} \
    --cache-file=config.cache \
    --without-eaccelerator-shared-memory \
    --with-eaccelerator-info \
    --with-eaccelerator-disassembler \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}/var/www/php-eaccelerator
install -d %{buildroot}/var/cache/httpd/php-eaccelerator
install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

install -m0644 eaccelerator.ini %{buildroot}%{_sysconfdir}/php.d/%{inifile}

install -m0644 eaccelerator_index.html %{buildroot}/var/www/php-eaccelerator/index.html
install -m0644 bugreport.php %{buildroot}/var/www/php-eaccelerator/
install -m0644 control.php %{buildroot}/var/www/php-eaccelerator/
install -m0644 dasm.php %{buildroot}/var/www/php-eaccelerator/
install -m0644 PHP_Highlight.php %{buildroot}/var/www/php-eaccelerator/

# fix access config files
cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/php-eaccelerator.conf << EOF
Alias /php-eaccelerator /var/www/php-eaccelerator

<Directory /var/www/php-eaccelerator>
    Order deny,allow
    Deny from all
    Allow from 127.0.0.1
    ErrorDocument 403 "Access denied per %{_sysconfdir}/httpd/conf/webapps.d/php-eaccelerator.conf"
</Directory>
EOF

%post
%_post_webapp

%postun
%_postun_webapp

%post admin
%_post_webapp

%postun admin
%_postun_webapp

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README doc/*
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}
%dir %attr(0777,apache,apache) /var/cache/httpd/php-eaccelerator

%files admin
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/php-eaccelerator.conf
%dir /var/www/php-eaccelerator
/var/www/php-eaccelerator/*


%changelog
* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-6mdv2007.0
+ Revision: 117531
- rebuilt against new upstream version (5.2.1)

* Fri Jan 12 2007 Oden Eriksson <oeriksson@mandriva.com> 2:0.9.5-5mdv2007.1
+ Revision: 108042
- rediffed P1
- sync with fc extras (P1)

* Sun Dec 10 2006 Oden Eriksson <oeriksson@mandriva.com> 2:0.9.5-4mdv2007.1
+ Revision: 94447
- add one missing file (PHP_Highlight.php)

* Wed Nov 08 2006 Oden Eriksson <oeriksson@mandriva.com> 2:0.9.5-3mdv2007.0
+ Revision: 78145
- fix deps
- fix a better error 404 message

* Tue Nov 07 2006 Oden Eriksson <oeriksson@mandriva.com> 2:0.9.5-2mdv2007.1
+ Revision: 77340
- rebuilt for php-5.2.0

* Thu Nov 02 2006 Oden Eriksson <oeriksson@mandriva.com> 2:0.9.5-1mdv2007.1
+ Revision: 75427
- 0.9.5
- drop the eloader and encoder stuff
- rediffed P0
- bunzip sources

* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com> 2:0.9.5-0.rc1.1mdv2007.1
+ Revision: 63520
- Import php-eaccelerator



* Sun Aug 27 2006 Oden Eriksson <oeriksson@mandriva.com> 2:0.9.5-0.rc1.1
- rebuilt for php-5.1.6

* Thu Aug 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.5-4.rc1.3mdk
- really use the right cache dir in S1
- added bugreport.php in S2

* Thu Aug 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.5-4.rc1.2mdk
- add some missing files

* Sun Aug 06 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.5-4.rc1.1mdk
- 0.9.5-rc1

* Wed Jul 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1
%{epoch}
%{epoch}:0.9.5-2.beta2.2mdk
- rebuild

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1
%{epoch}
%{epoch}:0.9.5-1.beta2.2mdk
- rebuilt for php-5.1.4

* Thu May 04 2006 Oden Eriksson <oeriksson@mandriva.com> 1
%{epoch}
%{epoch}:0.9.5-0.beta2.2mdk
- rebuilt for php-5.1.3

* Mon Apr 24 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.5-0.beta2.1mdk
- 0.9.5-beta2

* Wed Mar 22 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.5-0.beta1.2mdk
- fix the webapps dir location, oops!

* Wed Sep 07 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.5-0.beta1.1mdk
- 0.9.5-beta1
- phpcoder-1.5
- rediffed P1
- deactivate the hardened patch as it won't apply
- fix versioning
- drop the /admin/ location and use the webapps policy

* Wed Sep 07 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.9.3-3mdk
- rebuild

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.9.3-2mdk
- added one hash fix patch from the hardened-php project (P11)

* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.9.3-1mdk
- 0.9.3 final

* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.9.3-0.rc2.1mdk
- rename the package
- 0.9.3-rc2
- rediff and reorder patches
- use better anti ^M stripper

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.9.2a-1mdk
- 5.0.4

* Mon Apr 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.9.2a-6mdk
- fixed a small bug when building the eloader stuff

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.9.2a-5mdk
- use the %%mkrel macro

* Thu Feb 24 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.9.2a-4mdk
- reintroduced phpcoder-1.4 + patch
- nuke the .htaccess files
- restart apache

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.9.2a-3mdk
- rebuilt against a non hardened-php aware php lib
- disable sysvipc shared memory support as it does not work...

* Fri Feb 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.9.2a-2mdk
- added fixes from cvs (P1) so that it actually works...
- fix the patch to the extensions dir

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.9.2a-1mdk
- 0.9.2a
- rebuild due to hardened-php-0.2.6

* Tue Jan 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.9.2-1mdk
- initial mandrake package

* Tue Jan 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.9.2-2mdk
- reset admin name and password in the 99_eaccelerator.ini file
- obsolete php-mmcache-*

* Tue Jan 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.9.2-1mdk
- php-mmcache is dead, long live php-eaccelerator!
- used parts from the package by Bart Vanbrabant

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_2.4.7-0.20040822.1mdk
- rebuild for php 4.3.10

* Mon Aug 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_2.4.7-0.20040822.1mdk
- use a recent snap (20040822)
- phpcoder-1.4

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_2.4.7-0.1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_2.4.7-0.2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_2.4.7-0.1mdk
- rebuilt for php-4.3.7

* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_2.4.7-0.2mdk
- new snap
- use the %%configure2_5x macro
- move scandir to /etc/php.d

* Mon May 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_2.4.7-0.1mdk
- use a snap from 20040510
- updated S1

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_2.4.6-1mdk
- built for php 4.3.6

* Sun Nov 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_2.4.6-4mdk
- fix one silly error

* Sat Nov 15 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_2.4.6-3mdk
- provide the TurckLoader and admin features as sub packages, used ideas by PLD
- added .htaccess security files

* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_2.4.6-2mdk
- rebuilt for re-upload

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_2.4.6-1mdk
- built for php 4.3.4

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_2.4.6-2mdk
- make cache dir msec safe

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_2.4.6-1mdk
- 2.4.6

* Fri Oct 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_2.4.5-1mdk
- 2.4.5

* Fri Oct 24 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_2.4.4-1mdk
- 2.4.4

* Mon Oct 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_2.4.3-1mdk
- 2.4.3

* Mon Oct 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_2.4.2-1mdk
- 2.4.2

* Mon Sep 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_2.4.1-1mdk
- 2.4.1
- updated S1
- new url

* Tue Sep 23 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_2.4.0-1mdk
- 2.4.0
- fix explicit-lib-dependency

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_2.3.23-1mdk
- built for php 4.3.3
- misc spec file fixes

* Wed Aug 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_2.3.23-1mdk
- 2.3.23

* Tue Aug 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_2.3.22-2mdk
- oops!, mmcache-executor wasn't implemented yet..., bummer!
- added phpcoder

* Tue Aug 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_2.3.22-1mdk
- 2.3.22
- fixed S1
- misc spec file fixes

* Fri Aug 01 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_2.3.21-1mdk
- 2.3.21

* Fri Jul 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_2.3.20-1mdk
- 2.3.20

* Fri Jul 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_2.3.19-1mdk
- 2.3.19

* Wed Jun 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_2.3.17-1mdk
- 2.3.17

* Mon Jun 23 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_2.3.16-1mdk
- 2.3.16

* Wed Jun 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_2.3.15-1mdk
- 2.3.15
- fixed S1
- added S2

* Fri Jun 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_2.3.14-1mdk
- 2.3.14
- updated S1

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_2.3.13-1mdk
- 2.3.13
- built for 4.3.2
- mm is not needed anymore

* Mon May 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_2.3.11-1mdk
- 2.3.11

* Fri May 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_2.3.10-1mdk
- 2.3.10
- fix P0
- misc spec file fixes

* Mon Apr 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_2.3.9-2mdk
- fix cache file location (P0)

* Thu Apr 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_2.3.9-1mdk
- 2.3.9

* Fri Apr 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_2.3.8-1mdk
- 2.3.8

* Thu Mar 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_2.3.7-1mdk
- 2.3.7
- fix S1 and add cache dir

* Tue Mar 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_2.3.6-1mdk
- 2.3.6
- misc spec file fixes

* Wed Feb 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_2.3.5-1mdk
- 2.3.5
- updated S1

* Wed Feb 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_2.3.3-1mdk
- rebuilt against php-4.3.1

* Sat Feb 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.0_2.3.3-1mdk
- initial cooker contrib
